<p-dialog header="Cadastro de rateio"
          [style]="{minWidth: '800px', maxWidth: '80%'}"
          [closable]="false"
          [(visible)]="showDialog">

  <form [formGroup]="formGroup" (submit)="save()">
    <div class="row">
      <div class="col-md-8">
        <div class="form-group">
          <label for="pessoa">Pessoa</label>
          <span class="field-required">*</span>
          <p-autoComplete id="pessoa"
                          name="pessoa"
                          appendTo="body"
                          field="nome"
                          inputStyleClass="form-control"
                          formControlName="pessoa"
                          [forceSelection]="true"
                          [dropdown]="true"
                          [suggestions]="pessoaList"
                          (completeMethod)="findPessoas($event)">
          </p-autoComplete>
          <app-form-error [form]="formGroup"
                          inputName="pessoa"></app-form-error>
        </div>
      </div>

      <div class="col-md-4">
        <div class="form-group">
          <label for="vlrRateio">Valor</label>
          <span class="field-required">*</span>
          <div class="p-inputgroup">
              <span class="p-inputgroup-addon p-0">
                <i class="fa fa-money-bill"></i>
              </span>
            <input type="text"
                   id="vlrRateio"
                   name="vlrRateio"
                   [min]="0.01"
                   [max]="maxValue"
                   formControlName="vlrRateio"
                   class="form-control"
                   currencyMask
                   pInputText>
          </div>
          <app-form-error [form]="formGroup"
                          [maxValue]="formatValue(maxValue)"
                          [minValue]="formatValue(0.01)"
                          inputName="vlrRateio"></app-form-error>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-md-12">
        <app-salvar [typeButton]="'submit'"></app-salvar>
        <app-cancelar (click)="close()"></app-cancelar>
      </div>
    </div>
  </form>

</p-dialog>
